Subject: Ticket Assigned - Delivery
From: Max <[email-masked]>
To: [email-masked]
Date: Thu, 24 Jun 2021 04:23:01 +0000

Hi Prince Malik,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Delivery Dear Max Team,
 
CANCEL MY ORDER PLEASE 

I’ve made an order about more than two weeks ago and I still haven’t received it! It took way too long although the initial expected date for delivery was 2 days after. I called the customer service over 5 times and I got no response as to why it’s delayed all I got is “we’ll send them an email to hurry up the process” which clearly didn’t help. So yesterday, I decided to cancel the order through calling their customer service line and the guy told me it’ll be cancelled within few days and I’ll get my money back. Today, I call back to make sure the order has been cancelled and he tells me it’s too late to cancel and got told the same thing “we’ll send them an email to hurry up the process”. So please do something about it. Cancel the order and give me my money back if it’s possible because I don’t wanna wait any longer because this is getting ridiculous. :

My order number is 7463851117
My email is [email-masked]
My phone number is 39948493

Ali Alalwan https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2705780